Debian 8 Jessie 64bits

Logs

-----> Fetching repository

====== Attempt #1

Cloning into '/tmp/d20170523-19234-18dho2n/input'...

-----> Restoring cache

-----> Starting packaging process

-----> Fetching buildpack /tmp/buildpacks/sources/pkgr/heroku-buildpack-ruby.git at buildcurl

-----> Ruby app

-----> Running hook: "/tmp/before_hook20170523-17-1ok8l4v.sh"

Linux 61cc1affda73 3.13.0-35-generic #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 x86_64 GNU/Linux

ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]

APP_NAME=zammad

CURL_CONNECT_TIMEOUT=120

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PWD=/tmp/d20170523-17-1sray6q/opt/zammad

SHLVL=1

REQUEST_ID=96317

HOME=/home/pkgr

TARGET=debian:8

RAILS_ENV=production

CURL_TIMEOUT=1200

DATABASE_URL=postgres://postgres@127.0.0.1:5432/postgres

PORT=3000

_=/usr/bin/env

GEM

specs:

remote: https://rubygems.org/

actionview (= 4.2.7.1)

actionmailer (4.2.7.1)

actionpack (= 4.2.7.1)

activejob (= 4.2.7.1)

mail (~> 2.5, >= 2.5.4)

rails-dom-testing (~> 1.0, >= 1.0.5)

actionpack (4.2.7.1)

rack (~> 1.6)

activesupport (= 4.2.7.1)

actionview (= 4.2.7.1)

rack-test (~> 0.6.2)

rails-dom-testing (~> 1.0, >= 1.0.5)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

activesupport (= 4.2.7.1)

erubis (~> 2.7.0)

actionview (4.2.7.1)

builder (~> 3.1)

rails-dom-testing (~> 1.0, >= 1.0.5)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

activejob (4.2.7.1)

activesupport (= 4.2.7.1)

globalid (>= 0.3.0)

activesupport (= 4.2.7.1)

builder (~> 3.1)

activemodel (4.2.7.1)

activerecord (4.2.7.1)

activemodel (= 4.2.7.1)

activesupport (= 4.2.7.1)

arel (~> 6.0)

activerecord (>= 4.0, < 5.1)

activerecord-session_store (1.0.0)

activerecord-nulldb-adapter (0.3.6)

activerecord (>= 2.0.0)

actionpack (>= 4.0, < 5.1)

multi_json (~> 1.11, >= 1.11.2)

rack (>= 1.5.2, < 3)

railties (>= 4.0, < 5.1)

activesupport (4.2.7.1)

i18n (~> 0.7)

json (~> 1.7, >= 1.7.7)

minitest (~> 5.1)

tzinfo (~> 1.1)

thread_safe (~> 0.3, >= 0.3.4)

addressable (2.4.0)

arel (6.0.3)

argon2 (1.1.1)

ffi (~> 1.9)

ffi-compiler (~> 0.1)

ast (2.3.0)

autoprefixer-rails (6.4.1.1)

execjs

biz (1.6.0)

clavius (~> 1.0)

tzinfo

browser (2.2.0)

buftok (0.2.0)

builder (3.2.2)

childprocess (0.5.9)

ffi (~> 1.0, >= 1.0.11)

clavius (1.0.2)

nestful (~> 1.1.0)

clearbit (0.2.5)

coderay (1.1.1)

coffee-rails (4.2.1)

coffee-script (>= 2.2.0)

coffee-script (2.4.1)

railties (>= 4.0.0, < 5.2.x)

execjs

coffee-script-source (1.10.0)

coffeelint (1.14.0)

coffee-script-source

execjs

coffee-script

json

coveralls (0.8.16)

concurrent-ruby (1.0.2)

json (>= 1.8, < 3)

simplecov (~> 0.12.0)

thor (~> 0.19.1)

term-ansicolor (~> 1.3.0)

tins (>= 1.6.0, < 2)

crack (0.4.3)

safe_yaml (~> 1.0.0)

daemons (1.2.4)

delayed_job (4.1.2)

activesupport (>= 3.0, < 5.1)

activerecord (>= 3.0, < 5.1)

delayed_job_active_record (4.1.1)

delayed_job (>= 3.0, < 5)

diffy (3.1.0)

dnsruby (1.59.3)

diff-lcs (1.2.5)

domain_name (0.5.20160826)

docile (1.1.5)

unf (>= 0.0.5, < 1.0.0)

doorkeeper (4.2.0)

railties (>= 4.2)

eco (1.0.0)

eco-source

coffee-script

execjs

eco-source (1.1.0.rc.1)

em-websocket (0.5.1)

http_parser.rb (~> 0.6.0)

email_verifier (0.1.0)

eventmachine (>= 0.12.9)

dnsruby (>= 1.5)

equalizer (0.0.10)

erubis (2.7.0)

eventmachine (1.2.0.1)

execjs (2.7.0)

factory_girl_rails (4.8.0)

factory_girl (4.8.0)

activesupport (>= 3.0.0)

factory_girl (~> 4.8.0)

railties (>= 3.0.0)

faraday (0.9.2)

multipart-post (>= 1.2, < 3)

faraday-http-cache (1.3.1)

ffi (1.9.14)

faraday (~> 0.8)

ffi-compiler (0.1.3)

ffi (>= 1.0.0)

rake

figaro (1.1.1)

thor (~> 0.14)

formatador (0.2.5)

github_changelog_generator (1.14.1)

activesupport

multi_json

faraday-http-cache

octokit (~> 4.0)

rainbow (>= 2.1)

rake (>= 10.0)

retriable (~> 2.1)

activesupport (>= 4.1.0)

globalid (0.3.7)

formatador (>= 0.2.4)

guard (2.14.0)

listen (>= 2.7, < 4.0)

lumberjack (~> 1.0)

nenv (~> 0.1)

notiffany (~> 0.0)

pry (>= 0.9.12)

shellany (~> 0.0)

thor (>= 0.18.1)

guard-compat (1.2.1)

guard-livereload (2.5.2)

em-websocket (~> 0.5)

guard (~> 2.8)

guard-compat (~> 1.0)

multi_json (~> 1.8)

hashdiff (0.3.2)

hashie (3.4.4)

htmlentities (4.3.4)

http (1.0.4)

addressable (~> 2.3)

http-cookie (~> 1.0)

http-form_data (~> 1.0.1)

http_parser.rb (~> 0.6.0)

http-cookie (1.0.2)

http-form_data (1.0.1)

domain_name (~> 0.5)

http_parser.rb (0.6.0)

i18n (0.8.1)

icalendar (2.4.1)

inflection (1.0.0)

kgio (2.11.0)

json (1.8.6)

jwt (1.5.4)

koala (2.4.0)

addressable

faraday

multi_json (>= 1.3.0)

listen (3.1.5)

libv8 (3.16.14.15)

rb-fsevent (~> 0.9, >= 0.9.4)

rb-inotify (~> 0.9, >= 0.9.7)

loofah (2.0.3)

ruby_dep (~> 1.2)

mime-types (>= 1.16, < 4)

mail (2.6.4)

lumberjack (1.0.10)

nokogiri (>= 1.5.9)

memoizable (0.4.2)

thread_safe (~> 0.3, >= 0.3.1)

mime-types-data (~> 3.2015)

mini_portile2 (2.1.0)

method_source (0.8.2)

mime-types (3.1)

mime-types-data (3.2016.0521)

minitest (5.10.1)

multi_json (1.12.1)

naught (1.1.0)

multi_xml (0.5.5)

multipart-post (2.0.0)

mysql2 (0.4.4)

nenv (0.3.0)

nestful (1.1.1)

net-ldap (0.15.0)

nokogiri (1.7.1)

netrc (0.11.0)

mini_portile2 (~> 2.1.0)

notiffany (0.1.1)

nenv (~> 0.1)

shellany (~> 0.0)

oauth (0.5.1)

faraday (>= 0.8, < 0.10)

oauth2 (1.2.0)

multi_json (~> 1.3)

jwt (~> 1.0)

multi_xml (~> 0.5)

rack (>= 1.2, < 3)

octokit (4.4.1)

sawyer (~> 0.7.0, >= 0.5.3)

omniauth (1.3.1)

hashie (>= 1.2, < 4)

rack (>= 1.0, < 3)

omniauth-facebook (4.0.0)

omniauth-oauth2 (~> 1.2)

omniauth-github (1.1.2)

omniauth (~> 1.0)

omniauth-oauth2 (~> 1.1)

omniauth-gitlab (1.0.2)

omniauth-oauth2 (~> 1.0)

omniauth (~> 1.0)

omniauth-google-oauth2 (0.4.1)

jwt (~> 1.5.2)

multi_json (~> 1.3)

omniauth (>= 1.1.1)

omniauth-oauth2 (>= 1.3.1)

omniauth-linkedin-oauth2 (0.1.5)

omniauth (~> 1.0)

omniauth-oauth (1.1.0)

omniauth-oauth2

oauth

omniauth-oauth2 (1.4.0)

omniauth (~> 1.0)

omniauth (~> 1.2)

oauth2 (~> 1.0)

omniauth-twitter (1.2.1)

json (~> 1.3)

parser (2.3.1.2)

omniauth-oauth (~> 1.1)

ast (~> 2.2)

pg (0.18.4)

power_assert (0.3.1)

pluginator (1.3.0)

powerpack (0.1.1)

pluginator (~> 1.1)

pre-commit (0.28.0)

pry (0.10.4)

coderay (~> 1.1.0)

method_source (~> 0.8.1)

slop (~> 3.4)

puma (3.6.0)

rack (1.6.4)

rack-livereload (0.3.16)

rack-test (0.6.3)

rack

rack (>= 1.0)

actionmailer (= 4.2.7.1)

rails (4.2.7.1)

actionview (= 4.2.7.1)

activejob (= 4.2.7.1)

activemodel (= 4.2.7.1)

activerecord (= 4.2.7.1)

activesupport (= 4.2.7.1)

actionpack (= 4.2.7.1)

bundler (>= 1.3.0, < 2.0)

railties (= 4.2.7.1)

sprockets-rails

rails-deprecated_sanitizer (1.0.3)

rails-dom-testing (1.0.8)

activesupport (>= 4.2.0.beta, < 5.0)

activesupport (>= 4.2.0.alpha)

nokogiri (~> 1.6)

rails-deprecated_sanitizer (>= 1.0.1)

rails-html-sanitizer (1.0.3)

loofah (~> 2.0)

rails-observers (0.1.2)

railties (4.2.7.1)

activemodel (~> 4.0)

actionpack (= 4.2.7.1)

activesupport (= 4.2.7.1)

rake (>= 0.8.7)

thor (>= 0.18.1, < 2.0)

rainbow (2.1.0)

raindrops (0.17.0)

rake (11.2.2)

rb-fsevent (0.9.7)

rb-inotify (0.9.7)

ffi (>= 0.5.0)

ref (2.0.0)

rest-client (2.0.0)

http-cookie (>= 1.0.2, < 2.0)

mime-types (>= 1.16, < 4.0)

netrc (~> 0.8)

rspec-core (3.5.4)

retriable (2.1.0)

rspec-support (~> 3.5.0)

rspec-expectations (3.5.0)

rspec-support (~> 3.5.0)

rspec-mocks (3.5.0)

diff-lcs (>= 1.2.0, < 2.0)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.5.0)

rspec-rails (3.5.2)

actionpack (>= 3.0)

activesupport (>= 3.0)

railties (>= 3.0)

rspec-expectations (~> 3.5.0)

rspec-core (~> 3.5.0)

rspec-support (~> 3.5.0)

rspec-mocks (~> 3.5.0)

rubocop (0.42.0)

rspec-support (3.5.0)

parser (>= 2.3.1.1, < 3.0)

powerpack (~> 0.1)

rainbow (>= 1.99.1, < 3.0)

unicode-display_width (~> 1.0, >= 1.0.1)

ruby-progressbar (~> 1.7)

ruby-progressbar (1.8.1)

rubyzip (1.2.1)

ruby_dep (1.4.0)

safe_yaml (1.0.4)

sass (3.4.22)

sass-rails (5.0.6)

railties (>= 4.0.0, < 6)

sass (~> 3.1)

sprockets-rails (>= 2.0, < 4.0)

sprockets (>= 2.8, < 4.0)

sawyer (0.7.0)

tilt (>= 1.1, < 3)

addressable (>= 2.3.5, < 2.5)

faraday (~> 0.8, < 0.10)

scrub_rb (1.0.1)

childprocess (~> 0.5)

shellany (0.0.1)

rubyzip (~> 1.0)

selenium-webdriver (2.53.4)

websocket (~> 1.0)

simple-rss (1.3.1)

simple_oauth (0.3.1)

simplecov (0.12.0)

docile (~> 1.1.0)

simplecov-html (~> 0.10.0)

json (>= 1.8, < 3)

simplecov-html (0.10.0)

simplecov-rcov (0.2.3)

simplecov (>= 0.4.1)

slop (3.6.0)

spring (1.7.2)

spring-commands-rspec (1.0.4)

spring (>= 0.9.1)

slack-notifier (1.5.1)

sprockets (3.7.0)

concurrent-ruby (~> 1.0)

rack (> 1, < 3)

sprockets-rails (3.2.0)

activesupport (>= 4.0)

actionpack (>= 4.0)

sqlite3 (1.3.11)

sprockets (>= 3.0.0)

telegramAPI (1.2.2)

term-ansicolor (1.3.2)

rest-client (~> 2.0, >= 1.7.3)

tins (~> 1.0)

test-unit (3.2.1)

therubyracer (0.12.2)

power_assert

libv8 (~> 3.16.14.0)

ref

thor (0.19.1)

thread_safe (0.3.6)

tilt (2.0.5)

tins (1.13.0)

twitter (5.16.0)

addressable (~> 2.3)

equalizer (= 0.0.10)

buftok (~> 0.2.0)

faraday (~> 0.9.0)

http (~> 1.0)

http_parser.rb (~> 0.6.0)

json (~> 1.8)

memoizable (~> 0.4.0)

tzinfo (1.2.2)

naught (~> 1.0)

simple_oauth (~> 0.3.0)

uglifier (3.0.2)

thread_safe (~> 0.1)

unf (0.1.4)

execjs (>= 0.3.0, < 3)

unf_ext (0.0.7.2)

unf_ext

unicorn (5.2.0)

unicode-display_width (1.1.1)

kgio (~> 2.6)

raindrops (~> 0.7)

addressable (>= 2.3.6)

webmock (2.3.2)

hashdiff

websocket (1.2.3)

crack (>= 0.3.2)

zendesk_api (1.14.0)

writeexcel (1.0.5)

faraday (~> 0.9)

inflection

hashie (>= 1.2, < 4.0, != 3.3.0)

multipart-post (~> 2.0)

mime-types

scrub_rb (~> 1.0.1)

PLATFORMS

DEPENDENCIES

ruby

activerecord-nulldb-adapter

activerecord-session_store

argon2

autoprefixer-rails

biz

clearbit

browser

coffee-rails

coffee-script-source

coffeelint

coveralls

daemons

diffy

delayed_job_active_record

eco

doorkeeper

em-websocket

email_verifier

eventmachine

factory_girl_rails

execjs

figaro

github_changelog_generator

guard

guard-livereload

htmlentities

json

icalendar

mail

koala

libv8

mysql2

mime-types

net-ldap

oauth2

omniauth

omniauth-facebook

omniauth-gitlab

omniauth-github

omniauth-google-oauth2

omniauth-linkedin-oauth2

omniauth-oauth2

omniauth-twitter

pg

pre-commit

rails (= 4.2.7.1)

rack-livereload

puma

rails-observers

rspec-rails

rubocop

rb-fsevent

selenium-webdriver

sass-rails

simple-rss

simplecov-rcov

slack-notifier

simplecov

spring

spring-commands-rspec

sprockets

sqlite3

telegramAPI

test-unit

twitter

therubyracer

uglifier

unicorn

webmock

writeexcel

zendesk_api

RUBY VERSION

ruby 2.3.1p112

BUNDLED WITH

1.13.7

+ rm app/assets/javascripts/app/controllers/layout_ref.coffee

+ rm app/assets/javascripts/app/controllers/karma.coffee

+ rm -rf app/assets/javascripts/app/views/layout_ref/

+ rm app/assets/javascripts/app/controllers/role.coffee

+ rm app/assets/javascripts/app/controllers/report.coffee

+ rm app/assets/javascripts/app/controllers/report_profile.coffee

-----> Compiling Ruby/Rails

-----> Using Ruby version: ruby-2.3.1

-----> Installing dependencies using bundler 1.11.2

cp: '/tmp/d20170523-17-1sray6q/opt/zammad/.git/cache/vendor/bundle/.' and '/tmp/d20170523-17-1sray6q/opt/zammad/.git/cache/vendor/bundle/.' are the same file

Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment

Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

You must recompile Ruby with OpenSSL support or change the sources in your

Could not load OpenSSL.

Gemfile from 'https' to 'http'. Instructions for compiling with OpenSSL using

Bundler Output: Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

RVM are available at http://rvm.io/packages/openssl.

Could not load OpenSSL.

You must recompile Ruby with OpenSSL support or change the sources in your

Gemfile from 'https' to 'http'. Instructions for compiling with OpenSSL using

RVM are available at http://rvm.io/packages/openssl.

!

! Failed to install gems via Bundler.

!

! ERROR: compile failed

! FAILED.

Failure during packaging

! Please contact support.